import { IOptions } from './index';
/**
 * Loading result of module tree
 */
export interface LoadedModule {
    id: string;
    alias: string[];
    url: string;
    code: string;
    requires: {
        [path: string]: string;
    };
}
export declare type LoadedModules = {
    [key: string]: LoadedModule;
};
export declare function loadEntry(entry: string[], opts: IOptions, taskId: number): Promise<{
    [id: string]: LoadedModule;
}>;
