import { ICodeResource } from '@cloudbase/cals';
export declare const remConfig: {
    rootValue: number;
    propList: string[];
    unitPrecision: number;
    selectorBlackList: any[];
    replace: boolean;
    mediaQuery: boolean;
    minPixelValue: number;
};
export declare function generateStyleModule(modules?: ICodeResource[], cssContextWrapper?: string): Promise<{
    code: string;
    type: "CODE";
    description?: string;
    path?: string;
    codeType?: string;
    name: string;
}[]>;
export declare function generateStyleModuleMap(moduleMap: {
    [key: string]: {
        resources: ICodeResource[];
        cssContextWrapper?: string;
    };
}): Promise<{
    [key: string]: ICodeResource & {
        code: string;
    };
}>;
