import TaskCtrl from './task-ctrl';
export interface IOptions {
    preload?: {
        [filePath: string]: string;
    };
    npmFilePrefix?: string;
    npmFilePrefixByScope?: {
        [scope: string]: string;
    };
    projFilePrefix?: string;
    defineFuncName?: string;
    extensions?: string[];
    sourceTransforms?: {};
    dependencies?: {
        [pkgName: string]: string;
    };
    onDependencyMiss?: (pkgName: string, version: string) => void;
    onError?: (e: any) => void;
    onModuleError?: (e: any) => void;
    debug?: boolean;
    runtime?: Window;
    externals?: {
        [key: string]: string;
    };
}
export declare const taskCtrl: TaskCtrl;
/**
 * Add Wrapper to be cancelable
 */
export declare function loadCmdModule(entries: string[], opts?: IOptions): {
    promise: Promise<{}>;
    cancel(): void;
};
export declare function loadEsModule(entries: string[], opts?: IOptions): {
    promise: Promise<{}>;
    cancel(): void;
};
