import * as React from 'react';
import { IPageComponent, ActionType, IDataBind } from '@cloudbase/cals';
export declare function toCssStyle(commonStyle?: any, options?: {
    toRem: boolean;
    ignoreSelf?: boolean;
    addPXUnit?: boolean;
    toRpx?: boolean;
}): React.CSSProperties;
export declare function getComponentsInfo(dependencies: any): {};
export interface IOriginKeyInfo {
    sourceKey: string;
    name: string;
    materialName: string;
    materialVersion: string;
    key: string;
    variableName: string;
    type?: ActionType;
    isComposite?: boolean;
    isPlainProps?: boolean;
    entry?: string;
}
interface IGenerateOptions {
    isComposite?: boolean;
    looseError?: boolean;
}
export declare function getComponentSchema(ctx: {
    app: any;
    $app: any;
    $page: any;
    this: any;
}, page: IPageComponent, isComposite?: boolean, componentsInfoMap?: {
    [componentSourceKey: string]: any;
}, wrapperClass?: string, options?: {
    isComposite?: boolean;
    looseError?: boolean;
}): {
    widgets: {};
    dataBinds: {};
    componentSchema: any;
};
export declare function generateDataBinds(ctx: any, dataBinds: IDataBind[], options?: IGenerateOptions): {};
/**
 * dataset 特殊的绑定格式
 * 要求：入参分别为 app ， page
 * 绑定只有变量，参数，表达式的绑定
 */
export declare function generateDataBindForDataset(bind: IDataBind): Function;
export {};
