"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createComputed = void 0;
function createComputed(funcs, bindContext) {
    if (bindContext === void 0) { bindContext = null; }
    var obj = {};
    for (var name_1 in funcs) {
        Object.defineProperty(obj, name_1, {
            get: bindContext ? funcs[name_1].bind(bindContext) : funcs[name_1],
        });
    }
    return obj;
}
exports.createComputed = createComputed;
//# sourceMappingURL=computed.js.map