import * as React from 'react';
export declare const widgetKeys: string[];
export declare const WidgetsContext: React.Context<{
    parent: any;
}>;
export declare function checkVisible({ _visible }: {
    _visible: any;
}): boolean;
interface MPNodesRefFields {
    id?: HTMLElement['id'];
    dataset?: HTMLElement['dataset'];
    left?: DOMRect['left'];
    right?: DOMRect['right'];
    top?: DOMRect['top'];
    bottom?: DOMRect['bottom'];
    width?: DOMRect['width'];
    height?: DOMRect['height'];
    scrollLeft?: HTMLElement['scrollLeft'];
    scrollTop?: HTMLElement['scrollTop'];
    [prop: string]: string | any;
}
export declare function getDom(element: HTMLElement, options: any): Promise<MPNodesRefFields>;
export declare function findWidgets(widget: any, parentType: any, filterFn: any, includeInvisibleDescendants: any): any;
export declare function retryDataBinds(tryTime?: number): void;
export declare function createWidgets(widgetProps: any, dataBinds: any, context: any): {};
export {};
