/** @type {import('ts-jest/dist/types').InitialOptionsTsJest} */
module.exports = {
  preset: 'ts-jest',
  testEnvironment: 'jest-environment-jsdom',
  rootDir: './src',
  moduleNameMapper: {
    '^lodash-es$': 'lodash',
    '\\.(css|less|scss|sass)$': 'identity-obj-proxy',
  },
  transform: {
    'node_modules/@tcwd/weapps-sdk/.+\\.(j|t)sx?$': 'ts-jest',
    'src/.+.js': 'ts-jest',
  },
  transformIgnorePatterns: ['node_modules/(?!@tcwd/weapps-sdk)/'],
  coveragePathIgnorePatterns: ['src/tests'],
};
