import { __read } from "tslib";
import { getDefaultModule } from './base';
var NormalModuleParser = /** @class */ (function () {
    function NormalModuleParser() {
    }
    NormalModuleParser.prototype.onStart = function (context) {
        this.common = {};
    };
    NormalModuleParser.prototype.parseModule = function (pageId, mod) {
        var _a;
        if (mod.name === '____index____')
            return;
        var _b = __read((_a = mod.path) === null || _a === void 0 ? void 0 : _a.split('/'), 3), folder = _b[2];
        if (folder) {
            this.common[pageId] = this.common[pageId] || {};
            this.common[pageId][folder] = getDefaultModule(mod.exports);
        }
        else {
            this.common[pageId] = getDefaultModule(mod.exports);
        }
    };
    NormalModuleParser.prototype.onEnd = function (context) {
        context.common = this.common;
    };
    return NormalModuleParser;
}());
export { NormalModuleParser };
//# sourceMappingURL=normalModuleParser.js.map