import { IPlatformComponent } from '@cloudbase/cals';
/**
 * All data bindings are generated as functions: (forItems) => any
 * @param {*} dataBinds
 * @param {*} forItems
 */
export declare function resolveDataBinds(dataBinds: any, forItems: any, codeContext: any, scopeContext: any, throwError: any, dataContext: any): {};
/**
 * 对函数进行批量绑定
 * @param {*} funcObj
 * @param {*} context
 */
export declare function bindFuncObj(funcObj: {}, context: any): {};
export declare function kebabCase(str: any): any;
export declare function camelcase(str: any, firstUpperCase?: boolean): any;
export declare const isEmptyObj: (obj: any) => boolean;
export declare function isPlainObject(src: any): boolean;
/**
 * 用于处理自定义组件props传参结构，对系统变量进行保留
 */
export declare function resolveComponentProps(props: any, isPlainProps: any): any;
export declare function isSlot(comp: IPlatformComponent): boolean;
export declare function isScopeSlot(comp: {
    module: string;
    component: string;
}, slot: any): any;
export declare function findLoginPage(app?: import("../app/global-api").IAppAPI): any;
export declare function getAuthConfig(app?: import("../app/global-api").IAppAPI): Promise<any>;
export declare function checkAnonymous(): Promise<boolean>;
export declare function getLoginConfig(app?: import("../app/global-api").IAppAPI): Promise<any>;
/**
 * 检查页面权限
 **/
export declare function checkAuth(app: any, appId: any, $page: any): Promise<any>;
export declare function redirectToLogin(currentPage?: any): Promise<void>;
