export function createComputed(funcs, bindContext) {
    if (bindContext === void 0) { bindContext = null; }
    var obj = {};
    for (var name_1 in funcs) {
        Object.defineProperty(obj, name_1, {
            get: bindContext ? funcs[name_1].bind(bindContext) : funcs[name_1],
        });
    }
    return obj;
}
//# sourceMappingURL=computed.js.map