/**
 * @author elliothu@tencent.com
 * @date 2019-05-07
 * @desc 事件系统，用于全局通信
 */
export class EventProxy {
    proxies: {};
    onceProxies: {};
    on: (eventName: any, handler: any) => any;
    only: (eventName: any, handler: any) => void;
    once: (eventName: any, handler: any) => any;
    emit: (eventName: any, ...args: any[]) => void;
    cancel: (eventName: any, handler: any) => void;
    cancelOnce: (eventName: any, handler: any) => void;
    cancelAll: (eventName: any) => void;
    cancelAllOnce: (eventName: any) => void;
    clear: () => void;
}
