import { IPageAPI } from '../app/global-api';
export declare function initAppLifeCycle(app: any, appLifeCycle: any): void;
export declare function removeAppLifeCycle(): void;
export declare function usePageLifeCycle({ beforePageCustomLaunch, onPageLoad, onPageShow, onPageReady, onPageHide, onPageUnload, onPullDownRefresh, onReachBottom, onShareAppMessage, onPageScroll, onResize, onAddToFavorites, onShareTimeline, onTabItemTap, }: {
    beforePageCustomLaunch?: (query: any) => void;
    onPageLoad?: (query: any) => void;
    onPageShow?: () => void;
    onPageReady?: () => void;
    onPageHide?: () => void;
    onPageUnload?: () => void;
    onPullDownRefresh?: () => void;
    onReachBottom?: () => void;
    onShareAppMessage?: () => void;
    onPageScroll?: () => void;
    onResize?: () => void;
    onAddToFavorites?: () => void;
    onShareTimeline?: () => void;
    onTabItemTap?: () => void;
}, context: {
    app: any;
    page: IPageAPI;
    options: any;
}): void;
export declare function initWebConfig(app: any, appConfig: any): void;
