import * as React from 'react';
export declare const ForContext: React.Context<{}>;
interface IComponentRendererProps {
    componentSchema?: any;
    rootNode?: boolean;
    virtualFields: {
        [sourceKey: string]: React.FunctionComponent<any>;
    };
    slots?: {
        [slotName: string]: {
            type: 'HOC' | 'ELEMENT';
            node: React.FunctionComponent | React.ReactElement;
        };
    };
    renderSlot?: boolean;
    genericComp?: {
        propName: any;
    };
    scopeContext?: {
        [key: string]: any;
    };
    codeContext?: {
        [key: string]: any;
    };
    emitEvents: string[];
    children: any;
    dataContext?: any;
    updateContext?: any;
}
export declare function getComponentRenderList(props: Omit<IComponentRendererProps, 'children'> & {
    key?: any;
    forContext: {
        [key: string]: any;
    };
    injectContext: any;
    dataContext?: any;
    updateContext?: any;
}): any;
export declare const CompRenderer: React.FunctionComponent<IComponentRendererProps>;
export {};
